<?php
/**
*
* @package phpBB Extension - RH Topic Tags
* @copyright (c) 2014 Robet Heim
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
* Swedish translation by Holger (http://www.maskinisten.net)
*
*/

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// these will be re-used in the definitions below - that is why we need to define and merge them first.
$lang = array_merge($lang, array(
	'ACP_RH_TOPICTAGS_REGEX_DEFAULT'				=> '/^[\- a-z0-9]{3,30}$/i',
	'ACP_RH_TOPICTAGS_REGEX_EXP_FOR_USERS_DEFAULT'	=> '-, 0-9, a-z, A-Z, mellanslag (konverteras till -), min: 3, max: 30',
));

$lang = array_merge($lang, array(
	// forum settings page
	'ACP_RH_TOPICTAGS_ENABLE'								=> 'Aktivera mnestaggar',
	'ACP_RH_TOPICTAGS_ENABLE_EXP'							=> 'Aktivera eller deaktivera mnestaggar i detta forum (om mnestaggar deaktiveras i efterhand s raderas existerande mnestaggar ej och visas ter om mnestaggar aktiveras vid en senare tidpunkt; om du verkligen vill radera mnestaggarna s kan du gra detta med funktionen "Radera alla mnestaggar frn detta forum".)',
	'ACP_FORUM_SETTINGS_RH_TOPICTAGS_PRUNE'					=> 'Radera alla mnestaggar frn detta forum',
	'ACP_FORUM_SETTINGS_RH_TOPICTAGS_PRUNE_EXP'				=> 'Alla mnestaggar i detta forum kommer att RADERAS. OBS: fr att undvika oavsiktlig radering av mnestaggarna mste du deaktivera mnestaggar fr detta forum.',
	'ACP_FORUM_SETTINGS_RH_TOPICTAGS_PRUNE_CONFIRM'			=> 'Alla mnestaggar i detta forum kommer att RADERAS men du mste frst deaktivera mnestaggar fr detta forum.',
	'ACP_RH_TOPICTAGS_PRUNING_REQUIRES_TAGGING_DISABLED'	=> 'Fr att undvika oavsiktlig radering av mnestaggarna mste du deaktivera mnestaggar fr detta forum.',

	// config
	'TOPICTAGS_INSTALLED'					=> 'Installerad version: v%s',

	'ACP_RH_TOPICTAGS_REGEX_EMPTY'			=> 'De regulra uttrycken kan ej lmnas tomma.',
	'ACP_RH_TOPICTAGS_EXP_FOR_USERS_EMPTY'	=> 'Frklaringen om vilka taggar som r tilltna kan ej lmnas tom.',

	'TOPICTAGS_CONFIG'					=> 'Konfigurering',
	'TOPICTAGS_CONFIG_TAGCLOUD'			=> 'Instllningar fr taggmolnet',
	'TOPICTAGS_CONFIG_TAGS'				=> 'Instllningar fr taggar',
	'TOPICTAGS_MAINTENANCE'				=> 'Underhll',
	'TOPICTAGS_TITLE'					=> 'mnestaggar',
	'TOPICTAGS_SETTINGS_SAVED'			=> 'Konfigureringen har sparats.',
	'TOPICTAGS_WHITELIST_SAVED'			=> 'Whitelist aktualiserad.',
	'TOPICTAGS_BLACKLIST_SAVED'			=> 'Blacklist aktualiserad.',

	'TOPICTAGS_DISPLAY_TAGCLOUD_ON_INDEX'		=> 'Visa taggmolnet p forumets startsida (index)',
	'TOPICTAGS_DISPLAY_TAGCLOUD_ON_INDEX_EXP'	=> 'Aktivera detta fr att visa taggmolnet nederst p index',

	'TOPICTAGS_DISPLAY_TAGCOUNT_IN_TAGCLOUD'		=> 'Visa i taggmolnet antalet anvndningar av en tagg',
	'TOPICTAGS_DISPLAY_TAGCOUNT_IN_TAGCLOUD_EXP'	=> 'Aktivera detta fr att i taggmolnet visa hur mnga mnen som taggats med motsvarande tagg',

	'TOPICTAGS_MAX_TAGS_IN_TAGCLOUD'			=> 'Maximalt antal taggar i taggmolnet',
	'TOPICTAGS_MAX_TAGS_IN_TAGCLOUD_EXP'		=> 'Begrnsar antalet taggar som visas i molnet.',

	'TOPICTAGS_DISPLAY_TAGS_IN_VIEWFORUM'		=> 'Visa taggar i viewforum',
	'TOPICTAGS_DISPLAY_TAGS_IN_VIEWFORUM_EXP'	=> 'Stll in till Ja fr att visa mnestaggarna i mneslistan.',

	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_ALREADY'	=> 'mnestaggar har redan aktiverats fr alla forum.',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS'			=> 'Aktivera mnestaggar fr alla forum',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_EXP'		=> 'Detta kommer att aktivera mnestaggar i <em>alla</em> forum. Du kan aktivera och deaktivera mnestaggar fr enstaka forum i forumets instllningar.',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_DONE'	=> array(
			1 => 'mnestaggar har aktiverats fr %d forum.',
			2 => 'mnestaggar har aktiverats fr %d forum.',
	),

	'TOPICTAGS_DISABLE_IN_ALL_FORUMS_ALREADY'	=> 'mnestaggar har redan deaktiverats fr alla forum.',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS'			=> 'Deaktivera mnestaggar fr alla forum',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS_EXP'		=> 'Detta kommer att deaktivera mnestaggar i <em>alla</em> forum. Du kan aktivera och deaktivera mnestaggar fr enstaka forum i forumets instllningar.',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS_DONE'	=> array(
			1 => 'mnestaggar har deaktiverats fr %d forum.',
			2 => 'mnestaggar har deaktiverats fr %d forum.',
	),

	'TOPICTAGS_PRUNE'					=> 'Radera oanvnda taggar',
	'TOPICTAGS_PRUNE_EXP'				=> 'Detta kommer att radera alla taggar som ej anvnds i ngot mne',
	'TOPICTAGS_PRUNE_CONFIRM'			=> 'Detta kommer att RADERA alla oanvnda taggar.',
	'TOPICTAGS_PRUNE_ASSIGNMENTS_DONE'	=> array(
			0 => '',
			1 => '%d mnestagg-tillordning har raderats.',
			2 => '%d mnestagg-tillordningar har raderats.',
	),
	'TOPICTAGS_PRUNE_TAGS_DONE'			=> array(
			0 => 'Det finns inga oanvnda taggar som kan raderas.',
			1 => '%d oanvnd tagg har raderats.',
			2 => '%d oanvnda taggar har raderats.',
	),

	'TOPICTAGS_PRUNE_FORUMS'			=> 'Radera oanvnda taggar frn forum med deaktiverad mnestaggning',
	'TOPICTAGS_PRUNE_FORUMS_EXP'		=> 'Detta kommer att RADERA alla tillordningar av taggar till mnen i forum med deaktiverad mnestaggning.',
	'TOPICTAGS_PRUNE_FORUMS_CONFIRM'	=> 'Detta kommer att AVLGSNA alla taggar frn mnen i forum med deaktiverad mnestaggning.',

	'TOPICTAGS_PRUNE_INVALID_TAGS'				=> 'Radera ogiltiga taggar',
	'TOPICTAGS_PRUNE_INVALID_TAGS_EXP'			=> 'Detta kommer att RADERA alla taggar (och tillordningar) som ej lngre r giltiga. Detta krvs endast om du ndrar regex eller vill bli av med ogiltiga taggar.',
	'TOPICTAGS_PRUNE_INVALID_TAGS_CONFIRM'		=> 'Detta kommer att AVLGSNA alla taggar som ej r konforma med regex och detta kommer att ha stor pverkan om du ej r frsiktig!',

	'TOPICTAGS_CALC_COUNT_TAGS'					=> 'Utfr ny rkning av taggarna',
	'TOPICTAGS_CALC_COUNT_TAGS_EXP'				=> 'Detta kommer att utfra en ny rkning av hur ofta taggarna anvnds.',
	'TOPICTAGS_CALC_COUNT_TAGS_DONE'			=> 'Taggarna har rknats.',

	'TOPICTAGS_ENABLE_WHITELIST'				=> 'Aktivera Whitelist',
	'TOPICTAGS_ENABLE_WHITELIST_EXP'			=> 'Aktiveras detta s kommer endast taggar att tilltas som r konforma med regex OCH finns i whitelist.<br/>OBS 1: om ven blacklist har aktiverats och taggen finns i bde whitelist OCH blacklist s kommer taggen ej att tilltas.<br/>OBS 2: fr att undvika oavsiktlig frlust av data s kommer taggar som redan finns i databasen men ej i whitelist EJ att raderas automatiskt och kommer att visas. Du mste radera existerande taggar manuellt.',

	'TOPICTAGS_WHITELIST'						=> 'Whitelist',
	'TOPICTAGS_WHITELIST_EXP'					=> 'Lista ver tilltna taggar.<br/>OBS: taggarna mste ven vara konforma med regex, s kontrollera att alla taggar r konforma med dina regex-instllningar nedan (detta kontrolleras ej automatiskt).',

	'TOPICTAGS_ENABLE_BLACKLIST'				=> 'Aktivera Blacklist',
	'TOPICTAGS_ENABLE_BLACKLIST_EXP'			=> 'Aktiveras detta s kommer taggarna i blacklist ej att tilltas ven om de r konforma med regex.<br/>OBS 1: fr att undvika oavsiktlig frlust av data s kommer taggar som redan finns i databasen ej att rederas automatiskt. Du mste radera existerande taggar manuellt.<br/>OBS 2: blacklist visas aldrig fr anvndarna.',

	'TOPICTAGS_BLACKLIST'						=> 'Blacklist',
	'TOPICTAGS_BLACKLIST_EXP'					=> 'Lista ver otilltna taggar.<br/>OBS: alla taggar som ej r konforma med regex r alltid otilltna.',

	'TOPICTAGS_ALLOWED_TAGS_REGEX'				=> 'Regulra uttryck fr tilltna taggar',
	'TOPICTAGS_ALLOWED_TAGS_REGEX_EXP'			=> 'VARNING: ndra detta ej om du ej vet exakt vad du hller p med. <strong>Taggar fr vara maximalt 30 tecken lnga och skiljas t med "/"</strong>, ha detta i tanke under regex-designen.<br/>Notera att ogiltiga taggar ej r skbara, men fortfarande visas i mnen.<br/>Radera ogiltiga taggar (se underhll).<br/>Standard: ' . $lang['ACP_RH_TOPICTAGS_REGEX_DEFAULT'],

	'TOPICTAGS_CONVERT_SPACE_TO_MINUS'			=> 'Konvertera " " till "-"',
	'TOPICTAGS_CONVERT_SPACE_TO_MINUS_EXP'		=> 'Om detta stlls in till Ja s konverteras alla mellanslag automatiskt till "-".<br/>OBS 1: du mste tillta "-" i regex, annars r taggar med mellanslag ogiltiga.<br/>OBS 2: existerande taggar med mellanslag konverteras ej automatiskt.',

	'TOPICTAGS_ALLOWED_TAGS_EXP_FOR_USERS'		=> 'Frklaring fr anvndare',
	'TOPICTAGS_ALLOWED_TAGS_EXP_FOR_USERS_EXP'	=> 'Denna text visas fr anvndarna och br frklara vilka taggar som r tilltna och vilka som ej r tilltna.<br/>Standard: ' . $lang['ACP_RH_TOPICTAGS_REGEX_EXP_FOR_USERS_DEFAULT'],

	'TOPICTAGS_MANAGE_TAGS_EXP'					=> 'Tabellen visar alla existerande taggar. Hr kan du radera dem (och alla tillordningar) eller ndra en tagg. Du kan ven sl ihop taggar genom att ndra en tagg och stlla in dess namn till en annan taggs namn - de kommer att sls ihop automatiskt.',
	'TOPICTAGS_NO_TAGS'							=> 'Det finns nnu inga taggar.',
	'TOPICTAGS_TAG'								=> 'Tagg',
	'TOPICTAGS_ASSIGNMENTS'						=> 'Tillordningar',
	'TOPICTAGS_TAG_DELETE_CONFIRM'				=> "r du sker p att du vill radera taggen <em>%s</em>? Detta kommer att redera taggen frn <b>alla mnen</b> som den anvnts i. Detta kan ej terstllas.",
	'TOPICTAGS_TAG_DELETED'						=> 'Taggen har raderats.',
	'TOPICTAGS_MISSING_TAG_ID'					=> 'Saknar tagg-id.',
	'TOPICTAGS_TAG_CHANGED'						=> 'Taggen har ndrats.',
	'TOPICTAGS_TAG_MERGED'						=> "Taggen har slagits ihop med taggen '%s'.",
	'TOPICTAGS_MISSING_TAG_NAMES'				=> 'Saknar tagg-namn.',
	'TOPICTAGS_TAG_INVALID'						=> 'Taggen "%s" r ogiltig, kontrollera tagg-instllningarna.',
	'TOPICTAGS_TAG_DOES_NOT_EXIST'				=> 'Taggen"%s" existerar ej.',
	'TOPICTAGS_NO_MODIFICATION'					=> 'Taggen har ej ndrats.',

	'TOPICTAGS_SORT_NAME_ASC'					=> 'Tagg-namn A&rArr;Z', // &rArr; is a right-arrow (=>)
	'TOPICTAGS_SORT_NAME_DESC'					=> 'Tagg-namn Z&rArr;A', // &rArr; is a right-arrow (=>)
	'TOPICTAGS_SORT_COUNT_ASC'					=> 'Tillordningar rknas stigande',
	'TOPICTAGS_SORT_COUNT_DESC'					=> 'Tillordningar rknas fallande',

));
